clearvars
close all

fname = 'testdata_IgE.mat';
load(fname);
% Localizations are assumed to come in an array with [x,y,t] in the first
% columns and the localization precision in the 5th column (all in CCD
% pixels; time in frames).

t_frame = 0.0157;               % Frame time [seconds]
FOV_size = [256 256];           % Field of view size [CCD pixels]

% Q Counting parameters
autoQplateau = 1;               % Automatic Q fitting [0/1]
Qpoints = 20;                   % Time points for Q computation
reps = 5;                       % Estimates of Q per time point

pixelsize = 100;                % CCD pixel size [nm] (it is assumed that the localizations are specified in CCD pixels)
zm = 10;                        % CCD pixel size / superresolution pixel size

stoich_cal = 1.5;               % Stoichiometry calibration; either [mu,S] or only mu

minq = 0.05;                    % Minimum spatial frequency for Q plateau [1/Superresolution pixel]
maxq = 0.4;                     % Minimum spatial frequency for Q plateau [1/Superresolution pixel]
sigma_mean = 11.6/pixelsize;    % Average effective localization precision [CCD pixels]
sigma_std = 2.8/pixelsize;      % Average effective localization precision [CCD pixels]
sigmas_fits = localizations(:,5); % Localization precisions from the fit algorithm [CCD pixels]

noROI = 0;                      % Ask to select a region of interest
noCheck = 0;                    % Ask whether

if autoQplateau
	Qparams = struct('minq',minq,'maxq',maxq,'reps',reps,'Qpoints',Qpoints,'sigmas',sigmas_fits,'noROI',noROI,'noCheck',noCheck);
else
    Qparams = struct('minq',minq,'maxq',maxq,'reps',reps,'Qpoints',Qpoints,'sigma_mean',sigma_mean,'sigma_std',sigma_std,'noROI',noROI,'noCheck',noCheck); 
end

[Q,t,N,M,Fit_switching,Fit_sigmas,FRC_output,roi_output] = Qcount(localizations(:,1:3),FOV_size,zm,autoQplateau,Qparams,pixelsize,stoich_cal);